import { Context, PropsWithChildren } from "react";
import { AppProps } from "single-spa";
import { Theme } from "@mui/material";
import { User } from "@one-profile/core";
export type AppContext = {
    user: User;
    getAccessToken: () => Promise<string>;
    theme: Theme;
    isInternalTeamMember: boolean;
    accountId: string;
} & AppProps;
export declare const appContext: Context<AppContext>;
export declare function AppContextProvider(props: PropsWithChildren<AppContext>): import("react/jsx-runtime").JSX.Element;
