import React from "react";
export declare enum WidthToHeightRatio {
    FULL = 1,
    HALF = 2,
    QUARTER = 4
}
export declare function useDimension(parcelRef: React.MutableRefObject<HTMLDivElement | undefined>, widthToHeightRatio?: WidthToHeightRatio): {
    width: number;
    height: number;
};
